Bug 608694 - in fips mode rpm omits md5 signature without warning
in fips mode rpm omits md5 signature without warning
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpm (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Panu Matilainen
BaseOS QE Security Team
:
Depends On:
Blocks: 582655
  Show dependency treegraph
 
Reported: 2010-06-28 09:46 EDT by Jiri Kastner
Modified: 2011-03-15 09:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-29 02:24:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Kastner 2010-06-28 09:46:12 EDT
Description of problem:
when machine is in fips mode, and gpg.conf (or .rpmmacros) is configured to create md5 digest, 

Version-Release number of selected component (if applicable):


How reproducible:
always in fips mode

Steps to Reproduce:
1. enable fips mode and reboot
2. configure .gnupg/gpg.conf or /rpmmacros to use MD5 signature
3. sign some rpm
4. check results
  
Actual results:
$ rpm -v --addsign mod_gnutls-0.5.6-1.md5.x86_64.rpm 
Enter pass phrase: 
Pass phrase is good.
mod_gnutls-0.5.6-1.md5.x86_64.rpm:
$ rpm -v --checksig mod_gnutls-0.5.6-1.md5.x86_64.rpm 
mod_gnutls-0.5.6-1.md5.x86_64.rpm:
    Header V3 DSA/SHA1 Signature, key ID 8a2cffe0: OK
    Header SHA1 digest: OK (2a30e68848f8aa15028e160164ce309c26b6f735)
    MD5 digest: OK (7b86a7c836b21679133b77ff7cdce95b)
    V3 DSA/SHA1 Signature, key ID 8a2cffe0: OK


Expected results:
$ rpm -v --addsign mod_gnutls-0.5.6-1.md5.x86_64.rpm 
Enter pass phrase: 
Pass phrase is good.
mod_gnutls-0.5.6-1.md5.x86_64.rpm:
machine is running in fips mode - MD5 is not allowed, using SHA1 instead!

$ rpm -v --checksig mod_gnutls-0.5.6-1.md5.x86_64.rpm 
mod_gnutls-0.5.6-1.md5.x86_64.rpm:
    Header V3 DSA/SHA1 Signature, key ID 8a2cffe0: OK
    Header SHA1 digest: OK (2a30e68848f8aa15028e160164ce309c26b6f735)
    MD5 digest: OK (7b86a7c836b21679133b77ff7cdce95b)
    V3 DSA/SHA1 Signature, key ID 8a2cffe0: OK

Additional info:
Comment 2 RHEL Product and Program Management 2010-06-28 10:03:05 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Panu Matilainen 2010-06-29 02:17:50 EDT
Rpm doesn't know anything about any "FIPS mode", never has. Teaching it about FIPS, all affected areas, would be a new feature and it's a wee bit late for those. If using md5 to sign packages shouldn't be allowed, then presumably rpm should refuse to install packages with md5-only file and/or header digests etc etc etc - I don't know where it would end. NAK.
Comment 4 RHEL Product and Program Management 2010-06-29 02:24:38 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.